echo_red()   { printf "\033[1;31m\$*\033[m\n"; }
echo_green() { printf "\033[1;32m\$*\033[m\n"; }
echo_blue()  { printf "\033[1;34m\$*\033[m\n"; }


cd /builds/$CI_PROJECT_PATH/wireless/
PKGS=$(ls)

cd  ~/build_dir

echo_blue "=== Found new/modified packages: $PKGS"
for PKG in $PKGS ; do
    echo_blue "===+ Download: $PKG"
    make "package/$PKG/download" V=s

    echo_blue "===+ Check package: $PKG"
    make "package/$PKG/check" V=s 2>&1 | tee logtmp
    RET=${PIPESTATUS[0]}

    if [ $RET -ne 0 ]; then
        echo_red   "=> Package check failed: $RET)"
        exit $RET
    fi

    badhash_msg="HASH does not match "
    badhash_msg+="|HASH uses deprecated hash,"
    badhash_msg+="|HASH is missing,"
    if grep -qE "$badhash_msg" logtmp; then
        echo_red   "=> Package HASH check failed"
        exit 1
    fi
    echo_green "=> Package check OK"
done



for PKG in $PKGS ; do
    echo_blue "===+ Building: $PKG"
    make "package/$PKG/compile" -j3 V=s
done